<?php
/**
 * Outputs the activity log
 */

// get global $wpdb object
global $wpdb;

// load the table file & our crypter file
if(!class_exists('WP_List_Table'))
    require_once(ABSPATH . 'wp-admin/includes/class-wp-list-table.php');

require_once($this->plugin_dir . '/lib/Supr3meLogTable.php');
require_once($this->plugin_dir . '/lib/Supr3meCrypter.php');

$table = new Supr3meLogTable($this);
$table->prepare_items($this->table_name); ?>

<div class="wrap">

    <!-- page title -->
    <h2><?=MULTISITE ? 'Network ' : null?><?=esc_html(get_admin_page_title())?></h2>

    <!-- intro paragraph -->
    <p>
        The table below displays a list of all login attempts across your WordPress
        installation. You can purge and delete records if required.
    </p>

    <!-- output the form -->
    <form method="get">
        <input type="hidden" name="page" value="<?=esc_attr($_REQUEST['page'])?>" />
        <?php $table->display() ?>
    </form>

</div>